#pragma once
#include <Arduino.h>

void initMqtt();
void gererMqtt();
void getMqttJson(String &out);
bool setMqttConfig(bool enabled, const char* server, uint16_t port,
                   const char* user, const char* pass,
                   const char* topicBase, uint32_t intervalMs);
void mqttPublierEtat();   // publication immédiate (ex: après changement relais)
